Bug 53125 - fonts.* files identify the fonts incorrectly as iso-8859-1
fonts.* files identify the fonts incorrectly as iso-8859-1
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: XFree86-ISO8859-7 (Show other bugs)
7.1
noarch Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-04 00:32 EDT by Kai Puolamaki
Modified: 2007-04-18 12:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-04 09:33:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kai Puolamaki 2001-09-04 00:32:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.3-12 i686; Nav)

Description of problem:
Files /usr/share/fonts/ISO8859-7/75dpi/fonts.alias and
/usr/share/fonts/ISO8859-7/Type1/fonts.* contain lines like:

-greek-helvetica-bold-r-normal--17-170-75-75-p-92-iso8859-1
-greek-helvetica-bold-r-normal--17-170-75-75-p-92-iso8859-7

This causes e.g. Konqueror to show some pages containing ISO-8859-1
characters incorrectly in Greek fonts, if (and only if) the below
mentioned RPM packages are installed.

Relevant packages:
XFree86-ISO8859-7-Type1-fonts-1.0-9.noarch.rpm
XFree86-ISO8859-7-75dpi-fonts-1.0-9.noarch.rpm


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install XFree86-ISO8859-7-Type1-fonts-1.0-9.noarch.rpm and
XFree86-ISO8859-7-75dpi-fonts-1.0-9.noarch.rpm
2. Restart Konqueror
3. Look at at e.g. http://groups.google.com/groups?q=group:sfnet.atk.linux
	

Actual Results:  The ISO-Latin1 characters "edvEDV" are shown in Greek
fonts.


Expected Results:  The page should contain no Greek fonts.


Additional info:
PS. I also noticed that "rpm -qi" for the above mentioned packages
talks about ISO8859-2 fonts...
Comment 1 Ngo Than 2002-06-12 15:03:19 EDT
i don't think it's a bug there. It's a Konqueror bug, which is fixed in 7.2/7.3
release (KDE-2.2.x/3.0.x)

Note You need to log in before you can comment on or make changes to this bug.